$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.127.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.127.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '9C7B9FCBF973CA71682E0F9CB128FAE0C97C22BE8FEF28F225C222EA0597927D'
  checksumType = 'sha256'
  checksum64 = '9C7B9FCBF973CA71682E0F9CB128FAE0C97C22BE8FEF28F225C222EA0597927D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.127-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
